# Agents

## List presence

 - [GET /v1/agents/presence](https://docs.dixa.io/openapi/dixa-api/v1/agents/getagentspresence.md): List the presence status for all agents/admins in an organization.

## List agents

 - [GET /v1/agents](https://docs.dixa.io/openapi/dixa-api/v1/agents/getagents.md): Lists all agents/admins in an organization. It is possible to filter by one of the mutually exclusive parameters: email or phone number. In case both are provided, an error is returned.

## Update agents

 - [PUT /v1/agents](https://docs.dixa.io/openapi/dixa-api/v1/agents/putagents.md): Bulk update agents/admins.

## Create agent

 - [POST /v1/agents](https://docs.dixa.io/openapi/dixa-api/v1/agents/postagents.md): Create an agent.

## Patch agents

 - [PATCH /v1/agents](https://docs.dixa.io/openapi/dixa-api/v1/agents/patchagents.md): Bulk patch agents/admins.

## List teams

 - [GET /v1/agents/{agentId}/teams](https://docs.dixa.io/openapi/dixa-api/v1/agents/getagentsagentidteams.md): List the teams in which the agent/admin is a member.

## Get presence

 - [GET /v1/agents/{agentId}/presence](https://docs.dixa.io/openapi/dixa-api/v1/agents/getagentsagentidpresence.md): Get the presence status for an agent/admin.

## Create agents

 - [POST /v1/agents/bulk](https://docs.dixa.io/openapi/dixa-api/v1/agents/postagentsbulk.md): Create agents in bulk.

## Get agent

 - [GET /v1/agents/{agentId}](https://docs.dixa.io/openapi/dixa-api/v1/agents/getagentsagentid.md): Get an agent/admin by id.

## Update agent

 - [PUT /v1/agents/{agentId}](https://docs.dixa.io/openapi/dixa-api/v1/agents/putagentsagentid.md): Update an agent/admin.

## Delete agent

 - [DELETE /v1/agents/{agentId}](https://docs.dixa.io/openapi/dixa-api/v1/agents/deleteagentsagentid.md): Downgrade an agent/admin to become an end user.

## Patch agent

 - [PATCH /v1/agents/{agentId}](https://docs.dixa.io/openapi/dixa-api/v1/agents/patchagentsagentid.md): Patch an agent/admin.

## Updates the working channel of an agent

 - [PUT /v1/agents/{agentId}/presence/working-channel](https://docs.dixa.io/openapi/dixa-api/v1/agents/putagentsagentidpresenceworking-channel.md): Updates the working channel of an agent

